Get recommended articles
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/recommendations \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/recommendations"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/recommendations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recommendations": [
{
"title": "<string>",
"articles": [
{
"id": "<string>",
"title": "<string>",
"category": {
"id": "<string>",
"name": "<string>"
}
}
]
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}Recommendations
Get recommended articles
This API returns recommended articles based on a specific URL or path.
GET
/
recommendations
Get recommended articles
Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Retrieve paginated results by specifying the desired page number. Defaulting to 1 when omitted.
Set the number of results returned in the response. Defaulting to 30 when omitted.
URL path used to retrieve article recommendations. This should be the relative or full URL of the page for which you want to fetch contextually relevant article suggestions.
Example:
"feedback"
Response
200 - application/json
OK - Request succeeded
Hide child attributes
Hide child attributes